. ../config/patch.info

M=`uname -m|grep 64`
if [ "x$M" = "x" ]; then

CVER=`cat /etc/Briker/VERSION|cut -d" " -f1`
if [ "$CVER" = "$DEPS_BASE_VERSION" ]; then

clear

echo
echo "You are about to update your Briker version 1.4"
echo
echo "Current firmware: $CURRENT_FIRMWARE"
echo "Upgrade firmware: $UPGRADE_FIRMWARE"
echo
echo "========================================================================="
echo
echo "WARNING:"
echo
echo "Please note that this patch will not remove or change your existing data"
echo "but some of your manual configuration may be affected."
echo
echo "All submissions made through the web admin will not be removed or changed."
echo
echo "This patch will not do auto backup for existing files and configuration, "
echo "please make all necessary backup before proceeding."
echo
echo "Please note that the update will be irreversible, you cannot downgrade."
echo
echo "========================================================================="
echo
echo "Press [Enter] to continue or press [Ctrl+C] to cancel"
read
echo "========================================================================="
echo
echo "You have started the firmware updates, please wait..."
echo
echo "WARNING: DO NOT HIT CTRL+C OR DO ANYTHING TO CANCEL THIS PROCESS"
sleep 5
echo
echo
echo "Updating, please wait..."
echo

/etc/init.d/asteriskd stop >/dev/null 2>&1
cp -rR ../packages/* / >/dev/null 2>&1
ldconfig
chown -R root:root /usr/local/sbin/*
chmod -R 700 /usr/local/sbin/*
/etc/init.d/asteriskd start >/dev/null 2>&1

echo
echo "You must visually confirmed that theres NO ERROR messages printed"
echo
echo "Please contact Briker support when you confirmed error messages"
echo
echo "========================================================================="
echo
echo "Your Briker 1.4 has been updated with firmware $UPGRADE_FIRMWARE"
echo

else
echo
echo "Current Briker version is $CVER"
echo
echo "This patch file will work only with Briker version 1.4"
echo
fi

else
echo
echo "Current platform is not 32-bit"
echo
echo "This patch file will work only with 32-bit platform"
echo
fi

exit 0
